[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars&utm_content=banner)

# KendoReact Progress Bars Library for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   It contains both free and premium KendoReact components and tools. To use the premium components, you will need to [purchase a license](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) or register for a [free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars). You can use the free components without having to sign up or get a license key.
> -   If you're looking for free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).
> -   If you have an active license, visit the [KendoReact My License page](https://www.telerik.com/kendo-react-ui/components/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) to learn how to configure your KendoReact licensing.
> -   Installing and working with this package indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars).
> -   The 30-day free trial gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!
>
> [Start using KendoReact](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) and speed up your development process!

The React ProgressBars, part of KendoReact, offer a highly customizable interface for users to track and display the progress of a task.

How to start:

```sh
npm i @progress/kendo-react-progressbars
```

What's in this package:

-   [React ProgressBars Components Library Features](#react-progressbars-library-shared-features)
-   [React ProgressBar component (free)](#react-progressbar-component)
-   [React ChunkProgressBar component (premium)](#react-chunkprogressbar-component)

Additional information:

-   [Support Options](#support-options)
-   [Resources](#resources)
-   [KendoReact ProgressBars API](https://www.telerik.com/kendo-react-ui/components/progressbars/api)

## React ProgressBars Components Library Features

Among the many features which the KendoReact ProgressBars deliver are:

-   **Setting the default value and ranges**&mdash;Easily configure the initial, min and max values that the ProgressBars render.
-   **Controlled mode**&mdash;Control the value of the ProgressBars.
-   **Customization**&mdash;Easily implement custom styling.
-   [Theme support](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)&mdash;The KendoReact ProgressBars, as well as all 120+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, Fluent, and Default) and can be further customized to match your specific design guidelines.

## React ProgressBar Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact ProgressBar component](https://www.telerik.com/kendo-react-ui/components/progressbars/progressbar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) is perfect for displaying any form of progress in a React application. The React ProgressBar supports being rendered in both horizontal and vertical orientations.

How to use the ProgressBar component in your apps:

```tsx
import { ProgressBar } from '@progress/kendo-react-progressbars';
...
<ProgressBar />
```

## React ChunkProgressBar Component

> This is a KendoReact **premium component** and requires a commercial license or an active trial license.

[The KendoReact ChunkProgressBar component](https://www.telerik.com/kendo-react-ui/components/progressbars/chunkprogressbar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) displays progress within your React applications broken down into chunks, or parts, representing an equal breakdown of the total progress. When styling needs to be updated, the KendoReact ChunkProgressBar can be configured to change its default height or width, as well as customize the appearance of empty or filled chunks to help the component conform to any design requirements.

How to use the ProgressBar component in your apps:

```tsx
import { ChunkProgressBar } from '@progress/kendo-react-progressbars';
...
<ChunkProgressBar />
```

## Support Options

For any issues you might encounter while working with the KendoReact ProgressBars, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Get Started with the KendoReact ProgressBars](https://www.telerik.com/kendo-react-ui/components/progressbars/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [API Reference of the KendoReact ProgressBars](https://www.telerik.com/kendo-react-ui/components/progressbars/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-progressbars)

High-level component overview pages:

-   [React ChunkProgressBar Component](https://www.telerik.com/kendo-react-ui/chunkprogressbar)
-   [React ProgressBar Component](https://www.telerik.com/kendo-react-ui/progressbar)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
